/**
 * Theme Name:     Moda
 * Author:         Webselo.com
 * Template:       webselo-prime-store
 * Text Domain:	   moda
 * Description:    Child theme of Prime Store Woocommerce theme developed by Webselo.com
 */
 
@media (min-width: 1600px) {
    .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
        max-width: 1520px !important;
    }
}

h2 a,
h2 a:hover {
    color: inherit !important;
}

/* Header */
header .brand-logo {
    position: relative;
}

header .brand-logo img {
    max-height: 100%;
    position: absolute;
    top: 0;
    bottom: 0;
    margin: auto;
}

#header .navbar-nav li.phone-number {
    position: relative;
}

#header .navbar-nav li.phone-number:before {
    content: "\f095";
    font-size: 18px;
    margin-right: 5px;
    font-weight: 900;
    font-family: "Font Awesome 6 Free";
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    display: var(--fa-display, inline-block);
    font-style: normal;
    font-variant: normal;
    line-height: 1;
    text-rendering: auto;
    color: var(--bs-nav-link-color);
    position: absolute;
    top: calc(50% - 9px);
}

#header .navbar-nav li.phone-number a {
    padding-left: 20px;
}

#header .header-menu-icon {
    font-size: 20px;
    color: var(--wsps-main-text-color);
    margin-right: 12px;
    display: inline-block;
}

/* Home */
@media( max-width: 767px ) {
    #main .content .all-categories .item {
        margin-bottom: 15px;
    }
}

#main .content .all-categories a {
	position: relative;
	color: #fff;
	text-shadow: 1px 1px 0 var(--wsps-main-text-color);
	text-transform: uppercase;
    display: block;
}

#main .content .all-categories a:hover {
	color: #fff;
	text-decoration: none;
    position: relative;
}

#main .content .all-categories a:before {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(0, 0, 0, .35);
}

#main .content .all-categories a .cat-name {
	position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/* Product loop */
.product.card .product-img-slider {
    height: 250px;
    overflow: hidden;
}

@media (max-width: 418px) {
    .product.card .product-img-slider,
    .product.card .product-card-thumb, 
    .product.card .product-card-thumb img {
        height: 340px;
    }
}

.product.card .product-img-slider .slick-slide {
    margin: 0;
}

.product.card .product-img-slider .slick-next,
.product.card .product-img-slider .slick-prev {
    width: 18px;
    height: 18px;
    top: 45%;
}

.product.card .product-img-slider .slick-next {
    right: 1px;
}

.product.card .product-img-slider .slick-prev {
    left: 1px;
}

.product.card .product-img-slider .slick-next:before,
.product.card .product-img-slider .slick-prev:before {
    font-size: 14px;
    line-height: 16px;
}

.product.card .product-img-alt .img-wrapper {
    top: 0;
    position: absolute;
    width: 100%;
    z-index: -1;
}

.product.card .product-img-alt .img-wrapper.visible {
    z-index: 99;
}

.product.card .product-img-alt .img-wrapper a {
    display: block;
    width: 100%;
}

.product.card .card-body .product-img-palette {
	order: 1;
	display: flex;
	width: 100%;
	justify-content: center;
}

.product.card .card-body .product-img-palette .view-color {
	display: inline-block;
	border-radius: 50%;
	width: 18px;
	height: 18px;
	margin: 4px;
	-webkit-box-shadow: var(--wvs-item-box-shadow, 0 0 0 1px #a8a8a8);
    box-shadow: var(--wvs-item-box-shadow, 0 0 0 1px #a8a8a8);
    cursor: pointer;
}

.product.card .card-body .product-sizes {
	order: 2;
	width: 100%;
    display: flex;
    justify-content: center;
}

.product.card .card-body .product-sizes .box {
	-webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    background-color: var(--wvs-item-background-color, #fff);
    -webkit-box-shadow: var(--wvs-item-box-shadow, 0 0 0 1px #a8a8a8);
    box-shadow: var(--wvs-item-box-shadow, 0 0 0 1px #a8a8a8);
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    color: var(--wvs-item-text-color, #000);
    cursor: pointer;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    height: var(--wvs-single-product-item-height, 30px);
    justify-content: center;
    margin: 4px;
    padding: 2px;
    position: relative;
    width: var(--wvs-single-product-item-width, 30px);
}

.product.card .card-body .woocommerce-LoopProduct-link {
	order: 3;
}

.product.card .card-body .add-to-cart-container {
	order: 4;
}

.product.card .card-body .woosw-btn {
	order: 5;
}

/* Filters */
.woof_container_pa_razmer h4,
.woof_container_pa_cvqt h4 {
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.woof_container_pa_razmer h4 .toggle-icon,
.woof_container_pa_cvqt h4 .toggle-icon {
    margin-left: 8px;
    transition: transform 0.3s ease;
}

.woof_block_html_items {
    display: block; /* Ensure it starts visible */
}

#widget-area ul.product-categories li.cat-parent ul.children {
    font-size: 12px;
    padding-left: 5px;
}

#widget-area ul.product-categories li.cat-parent ul.children li:before {
    content: '- ';
}

/* Single Product */
.woocommerce.single-product .wpgs-nav .slick-next,
.woocommerce.single-product .wpgs-nav .slick-prev {
    width: 18px;
    height: 18px;
    top: 45%;
}

.woocommerce.single-product .wpgs-nav .slick-next:before,
.woocommerce.single-product .wpgs-nav .slick-prev:before {
    line-height: 17px;
    font-size: 16px;
    color: #fff;
}

.woocommerce.single-product .wpgs-nav .slick-prev {
    left: 0;
    margin-left: 0;
}

/*.woocommerce.single-product .variable-items-wrapper[data-attribute_name="attribute_pa_cvqt"] {
    opacity: 0;
    visibility: hidden;
}*/

.woocommerce.single-product .variable-items-wrapper[data-attribute_name="attribute_pa_cvqt"] .variable-item.has-thumbnail {
    width: 60px;
    height: 60px;
    padding: 0;
}

.woocommerce.single-product .variable-items-wrapper[data-attribute_name="attribute_pa_cvqt"] .variable-item.has-thumbnail .variable-item-span {
    padding: 0;
}

.woocommerce.single-product .variable-items-wrapper[data-attribute_name="attribute_pa_cvqt"] .variable-item.has-thumbnail .variable-item-span .variation-thumbnail {
    width: 60px;
    height: 60px;
}

.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product .product_meta div.posted_in a {
    font-weight: 400;
}

.woocommerce.single-product .woocommerce-variation-availability {
    display: none;
}

.woocommerce.single-product table.shop_attributes td {
    font-style: normal;
}

/* Cart */
.woocommerce-cart table.cart td.actions .coupon .input-text {
    min-width: 160px !important;
}

/* Checkout */
.place-order:not(.form-row) {
    max-width: 320px;
    margin: 20px 0;
}

.place-order #place_order {
    color: #fff;
}

/* Back to top */
#back-to-top {
    position: fixed;
    bottom: 20px;
    right: 27.5px;
    width: 50px;
    height: 50px;
    background: #333;
    color: white;
    border: none;
    border-radius: 50%;
    font-size: 20px;
    display: none; /* Hidden by default */
    cursor: pointer;
    transition: opacity 0.3s, transform 0.3s;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
}

@media( max-width: 767px ) {
    #back-to-top {
        bottom: 64px;
    }
}

#back-to-top:hover {
    background: #555;
}

#back-to-top:active {
    transform: scale(0.9);
}

